import {Seasons} from "@/services/SeasonService";
import {ItemTypes} from "@/data/ItemTypes";
import {ItemAssets, FoodAssets} from "@/data/Paths";
import {Seeds, FieldProducts, AnimalProducts} from "@/data/ItemsIDs";

export default [
    {
        id: Seeds.WheatSeeds,
        name: 'Wheat seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetKey: 'wheat',
        icon: ItemAssets + 'wheat_seedpack.png',
        economy: {
            buy: 5,
            sell: 2
        },
        cropData: {
            timeToGrow: 1,
            season: Seasons.Summer,
            product_id: FieldProducts.Wheat
        }
    },
    {
        id: FieldProducts.Wheat,
        name: 'Wheat',
        type: ItemTypes.FieldProducts,
        description: '',
        assetKey: 'wheat',
        icon: ItemAssets + 'wheat.png',
        economy: {
            buy: 5,
            sell: 10
        }
    },
    {
        id: Seeds.RadishSeeds,
        name: 'Radish seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetKey: 'radish',
        icon: ItemAssets + 'radish_seedpack.png',
        economy: {
            buy: 5,
            sell: 1,
        },
        cropData: {
            timeToGrow: 2,
            season: Seasons.Summer,
            product_id: FieldProducts.Radish
        }
    },
    {
        id: FieldProducts.Radish,
        name: 'Radish',
        type: ItemTypes.FieldProducts,
        description: '',
        assetKey: 'radish',
        icon: ItemAssets + 'radish.png',
        economy: {
            buy: 5,
            sell: 10,
        }
    },
    {
        id: Seeds.LettuceSeeds,
        name: 'Lettuce seeds',
        type: ItemTypes.Seeds,
        description: 'Plant them to get lettuce, obviously.',
        assetKey: 'lettuce',
        icon: ItemAssets + 'lettuce_seedpack.png',
        economy: {
            buy: 10,
            sell: 5,
        },
        cropData: {
            timeToGrow: 3,
            season: Seasons.Summer,
            product_id: FieldProducts.Lettuce
        }
    },
    {
        id: FieldProducts.Lettuce,
        name: 'Lettuce',
        type: ItemTypes.FieldProducts,
        description: '',
        assetKey: 'lettuce',
        icon: ItemAssets + 'lettuce.png',
        economy: {
            buy: 10,
            sell: 20,
        }
    },
    {
        id: Seeds.PotatoSeeds,
        name: 'Potato seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetKey: 'potato',
        icon: ItemAssets + 'potato_seedpack.png',
        economy: {
            buy: 10,
            sell: 5,
        },
        cropData: {
            timeToGrow: 3,
            season: Seasons.Summer,
            product_id: FieldProducts.Potato
        }
    },
    {
        id: FieldProducts.Potato,
        name: 'Potato',
        type: ItemTypes.FieldProducts,
        description: '',
        assetKey: 'potato',
        icon: ItemAssets + 'potato.png',
        economy: {
            buy: 10,
            sell: 20,
        }
    },
    {
        id: Seeds.CornSeeds,
        name: 'Corn seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetKey: 'corn',
        icon: ItemAssets + 'corn_seedpack.png',
        economy: {
            buy: 15,
            sell: 7,
        },
        cropData: {
            timeToGrow: 7,
            season: Seasons.Summer,
            product_id: FieldProducts.Corn
        }
    },
    {
        id: FieldProducts.Corn,
        name: 'Corn',
        type: ItemTypes.FieldProducts,
        description: '',
        assetKey: 'corn',
        icon: ItemAssets + 'corn.png',
        economy: {
            buy: 15,
            sell: 25,
        }
    },
    {
        id: Seeds.EggplantSeeds,
        name: 'Eggplant seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetKey: 'eggplant',
        icon: ItemAssets + 'eggplant_seedpack.png',
        economy: {
            buy: 15,
            sell: 7,
        },
        cropData: {
            timeToGrow: 9,
            season: Seasons.Summer,
            product_id: FieldProducts.Eggplant
        }
    },
    {
        id: FieldProducts.Eggplant,
        name: 'Eggplant',
        type: ItemTypes.FieldProducts,
        description: '',
        assetKey: 'eggplant',
        icon: ItemAssets + 'eggplant.png',
        economy: {
            buy: 15,
            sell: 25,
        }
    },
    {
        id: Seeds.CarrotSeeds,
        name: 'Carrot seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetKey: 'carrot',
        icon: ItemAssets + 'carrot_seedpack.png',
        economy: {
            buy: 15,
            sell: 7,
        },
        cropData: {
            timeToGrow: 9,
            season: Seasons.Summer,
            product_id: FieldProducts.Carrot
        }
    },
    {
        id: FieldProducts.Carrot,
        name: 'Carrot',
        type: ItemTypes.FieldProducts,
        description: '',
        assetKey: 'carrot',
        icon: ItemAssets + 'carrot.png',
        economy: {
            buy: 15,
            sell: 25,
        }
    },
    {
        id: Seeds.TomatoSeeds,
        name: 'Tomato seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetKey: 'tomato',
        icon: ItemAssets + 'tomato_seedpack.png',
        economy: {
            buy: 20,
            sell: 10,
        },
        cropData: {
            timeToGrow: 10,
            season: Seasons.Summer,
            product_id: FieldProducts.Tomato
        }
    },
    {
        id: FieldProducts.Tomato,
        name: 'Tomato',
        type: ItemTypes.FieldProducts,
        description: '',
        assetKey: 'tomato',
        icon: ItemAssets + 'tomato.png',
        economy: {
            buy: 20,
            sell: 35,
        }
    },
    {
        id: Seeds.PumpkinSeeds,
        name: 'Pumpkin seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetKey: 'pumpkin',
        icon: ItemAssets + 'pumpkin_seedpack.png',
        economy: {
            buy: 30,
            sell: 15,
        },
        cropData: {
            timeToGrow: 15,
            season: Seasons.Summer,
            product_id: FieldProducts.Pumpkin
        }
    },
    {
        id: FieldProducts.Pumpkin,
        name: 'Pumpkin',
        type: ItemTypes.FieldProducts,
        description: '',
        assetKey: 'pumpkin',
        icon: ItemAssets + 'pumpkin.png',
        economy: {
            buy: 30,
            sell: 55,
        }
    },
    {
        id: Seeds.StrawberrySeeds,
        name: 'Strawberry seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetKey: 'strawberry',
        icon: ItemAssets + 'strawberries_seedpack.png',
        economy: {
            buy: 60,
            sell: 30,
        },
        cropData: {
            timeToGrow: 60,
            season: Seasons.Summer,
            product_id: FieldProducts.Strawberry
        }
    },
    {
        id: FieldProducts.Strawberry,
        name: 'Strawberries',
        type: ItemTypes.FieldProducts,
        description: '',
        assetKey: 'strawberry',
        icon: ItemAssets + 'strawberry.png',
        economy: {
            buy: 60,
            sell: 140,
        }
    },
    {
        id: Seeds.WatermelonSeeds,
        name: 'Watermelon seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetKey: 'watermelon',
        icon: ItemAssets + 'watermelon_seedpack.png',
        economy: {
            buy: 60,
            sell: 30,
        },
        cropData: {
            timeToGrow: 60,
            season: Seasons.Summer,
            product_id: FieldProducts.Watermelon
        }
    },
    {
        id: FieldProducts.Watermelon,
        name: 'Melon',
        type: ItemTypes.FieldProducts,
        description: '',
        assetKey: 'melon',
        icon: ItemAssets + 'melon.png',
        economy: {
            buy: 60,
            sell: 140,
        }
    },
    {
        id: AnimalProducts.WhiteEgg,
        name: 'White egg',
        type: ItemTypes.AnimalProducts,
        description: 'Which came first?',
        assetKey: FoodAssets + 'white_egg.png',
        icon: ItemAssets + 'white_egg.png',
        economy: {
            buy: 100,
            sell: 50,
        }
    },
    {
        id: AnimalProducts.LargeWhiteEgg,
        name: 'Large white egg',
        type: ItemTypes.AnimalProducts,
        description: 'Which came first?',
        assetKey: FoodAssets + 'large_white_egg.png',
        icon: ItemAssets + 'large_white_egg.png',
        economy: {
            buy: 200,
            sell: 100,
        }
    },
]
