import {Seasons} from "@/services/SeasonService";
import {ItemTypes} from "@/data/ItemTypes";
import {CropAssetsDefault, FoodAssets} from "@/data/Paths";
import {Seeds, FieldProducts, AnimalProducts, PreparedMeals} from "@/data/ItemsIDs";

export default [
    {
        id: Seeds.WheatSeeds,
        name: 'Wheat seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'wheat/',
        icon: CropAssetsDefault + 'wheat/1.png',
        economy: {
            buy: 5,
            sell: 2
        },
        cropData: {
            timeToGrow: 1,
            season: Seasons.Summer,
            product_id: FieldProducts.Wheat
        }
    },
    {
        id: FieldProducts.Wheat,
        name: 'Wheat',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'wheat/',
        icon: CropAssetsDefault + 'wheat/6.png',
        economy: {
            buy: 5,
            sell: 10
        }
    },
    {
        id: Seeds.RadishSeeds,
        name: 'Rice seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'rice/',
        icon: CropAssetsDefault + 'rice/1.png',
        economy: {
            buy: 5,
            sell: 1,
        },
        cropData: {
            timeToGrow: 2,
            season: Seasons.Summer,
            product_id: FieldProducts.Radish
        }
    },
    {
        id: FieldProducts.Radish,
        name: 'Rice',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'rice/',
        icon: CropAssetsDefault + 'rice/6.png',
        economy: {
            buy: 5,
            sell: 10,
        }
    },
    {
        id: Seeds.LettuceSeeds,
        name: 'Turnip seeds',
        type: ItemTypes.Seeds,
        description: 'Plant them to get turnips, obviously.',
        assetsFolder: CropAssetsDefault + 'turnip/',
        icon: CropAssetsDefault + 'turnip/1.png',
        economy: {
            buy: 10,
            sell: 5,
        },
        cropData: {
            timeToGrow: 3,
            season: Seasons.Summer,
            product_id: FieldProducts.Lettuce
        }
    },
    {
        id: FieldProducts.Lettuce,
        name: 'Turnip',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'turnip/',
        icon: CropAssetsDefault + 'turnip/6.png',
        economy: {
            buy: 10,
            sell: 20,
        }
    },
    {
        id: Seeds.PotatoSeeds,
        name: 'Potato seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'potato/',
        icon: CropAssetsDefault + 'potato/1.png',
        economy: {
            buy: 10,
            sell: 5,
        },
        cropData: {
            timeToGrow: 3,
            season: Seasons.Summer,
            product_id: FieldProducts.Potato
        }
    },
    {
        id: FieldProducts.Potato,
        name: 'Potato',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'potato/',
        icon: CropAssetsDefault + 'potato/6.png',
        economy: {
            buy: 10,
            sell: 20,
        }
    },
    {
        id: Seeds.CornSeeds,
        name: 'Corn seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'corn/',
        icon: CropAssetsDefault + 'corn/1.png',
        economy: {
            buy: 15,
            sell: 7,
        },
        cropData: {
            timeToGrow: 7,
            season: Seasons.Summer,
            product_id: FieldProducts.Corn
        }
    },
    {
        id: FieldProducts.Corn,
        name: 'Corn',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'corn/',
        icon: CropAssetsDefault + 'corn/6.png',
        economy: {
            buy: 15,
            sell: 25,
        }
    },
    {
        id: Seeds.EggplantSeeds,
        name: 'Eggplant seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'eggplant/',
        icon: CropAssetsDefault + 'eggplant/1.png',
        economy: {
            buy: 15,
            sell: 7,
        },
        cropData: {
            timeToGrow: 9,
            season: Seasons.Summer,
            product_id: FieldProducts.Eggplant
        }
    },
    {
        id: FieldProducts.Eggplant,
        name: 'Eggplant',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'eggplant/',
        icon: CropAssetsDefault + 'eggplant/6.png',
        economy: {
            buy: 15,
            sell: 25,
        }
    },
    {
        id: Seeds.CarrotSeeds,
        name: 'Grapes seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'grapes/',
        icon: CropAssetsDefault + 'grapes/1.png',
        economy: {
            buy: 15,
            sell: 7,
        },
        cropData: {
            timeToGrow: 9,
            season: Seasons.Summer,
            product_id: FieldProducts.Carrot
        }
    },
    {
        id: FieldProducts.Carrot,
        name: 'Grapes',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'grapes/',
        icon: CropAssetsDefault + 'grapes/6.png',
        economy: {
            buy: 15,
            sell: 25,
        }
    },
    {
        id: Seeds.TomatoSeeds,
        name: 'Tomato seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'tomato/',
        icon: CropAssetsDefault + 'tomato/1.png',
        economy: {
            buy: 20,
            sell: 10,
        },
        cropData: {
            timeToGrow: 10,
            season: Seasons.Summer,
            product_id: FieldProducts.Tomato
        }
    },
    {
        id: FieldProducts.Tomato,
        name: 'Tomato',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'tomato/',
        icon: CropAssetsDefault + 'tomato/6.png',
        economy: {
            buy: 20,
            sell: 35,
        }
    },
    {
        id: Seeds.PumpkinSeeds,
        name: 'Cucumber seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'cucumber/',
        icon: CropAssetsDefault + 'cucumber/1.png',
        economy: {
            buy: 30,
            sell: 15,
        },
        cropData: {
            timeToGrow: 15,
            season: Seasons.Summer,
            product_id: FieldProducts.Pumpkin
        }
    },
    {
        id: FieldProducts.Pumpkin,
        name: 'Cucumber',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'cucumber/',
        icon: CropAssetsDefault + 'cucumber/6.png',
        economy: {
            buy: 30,
            sell: 55,
        }
    },
    {
        id: Seeds.StrawberrySeeds,
        name: 'Strawberry seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'strawberry/',
        icon: CropAssetsDefault + 'strawberry/1.png',
        economy: {
            buy: 60,
            sell: 30,
        },
        cropData: {
            timeToGrow: 60,
            season: Seasons.Summer,
            product_id: FieldProducts.Strawberry
        }
    },
    {
        id: FieldProducts.Strawberry,
        name: 'Strawberries',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'strawberry/',
        icon: CropAssetsDefault + 'strawberry/6.png',
        economy: {
            buy: 60,
            sell: 140,
        }
    },
    {
        id: Seeds.OrangeSeeds,
        name: 'Orange seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'orange/',
        icon: CropAssetsDefault + 'orange/1.png',
        economy: {
            buy: 60,
            sell: 30,
        },
        cropData: {
            timeToGrow: 60,
            season: Seasons.Summer,
            product_id: FieldProducts.Orange
        }
    },
    {
        id: FieldProducts.Orange,
        name: 'Orange',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'orange/',
        icon: CropAssetsDefault + 'orange/6.png',
        economy: {
            buy: 60,
            sell: 140,
        }
    },
    {
        id: Seeds.LemonSeeds,
        name: 'Lemon seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'lemon/',
        icon: CropAssetsDefault + 'lemon/1.png',
        economy: {
            buy: 60,
            sell: 30,
        },
        cropData: {
            timeToGrow: 60,
            season: Seasons.Summer,
            product_id: FieldProducts.Lemon
        }
    },
    {
        id: FieldProducts.Lemon,
        name: 'Lemon',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'lemon/',
        icon: CropAssetsDefault + 'lemon/6.png',
        economy: {
            buy: 60,
            sell: 140,
        }
    },
    {
        id: Seeds.PineappleSeeds,
        name: 'Pineapple seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'pineapple/',
        icon: CropAssetsDefault + 'pineapple/1.png',
        economy: {
            buy: 60,
            sell: 30,
        },
        cropData: {
            timeToGrow: 60,
            season: Seasons.Summer,
            product_id: FieldProducts.Pineapple
        }
    },
    {
        id: FieldProducts.Pineapple,
        name: 'Pineapple',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'pineapple/',
        icon: CropAssetsDefault + 'pineapple/6.png',
        economy: {
            buy: 60,
            sell: 140,
        }
    },
    {
        id: Seeds.WatermelonSeeds,
        name: 'Melon seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'melon/',
        icon: CropAssetsDefault + 'melon/1.png',
        economy: {
            buy: 60,
            sell: 30,
        },
        cropData: {
            timeToGrow: 60,
            season: Seasons.Summer,
            product_id: FieldProducts.Watermelon
        }
    },
    {
        id: FieldProducts.Watermelon,
        name: 'Melon',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'melon/',
        icon: CropAssetsDefault + 'melon/6.png',
        economy: {
            buy: 60,
            sell: 140,
        }
    },
    {
        id: Seeds.CoffeeSeeds,
        name: 'Coffee seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'coffee/',
        icon: CropAssetsDefault + 'coffee/1.png',
        economy: {
            buy: 60,
            sell: 30,
        },
        cropData: {
            timeToGrow: 60,
            season: Seasons.Summer,
            product_id: FieldProducts.CoffeeBeans
        }
    },
    {
        id: FieldProducts.CoffeeBeans,
        name: 'Coffee beans',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'coffee/',
        icon: CropAssetsDefault + 'coffee/6.png',
        economy: {
            buy: 60,
            sell: 140,
        }
    },
    {
        id: Seeds.CassavaSeeds,
        name: 'Cassava seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'cassava/',
        icon: CropAssetsDefault + 'cassava/1.png',
        economy: {
            buy: 60,
            sell: 30,
        },
        cropData: {
            timeToGrow: 60,
            season: Seasons.Summer,
            product_id: FieldProducts.Cassava
        }
    },
    {
        id: FieldProducts.Cassava,
        name: 'Cassava',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'cassava/',
        icon: CropAssetsDefault + 'cassava/6.png',
        economy: {
            buy: 60,
            sell: 140,
        }
    },
    {
        id: Seeds.SunflowerSeeds,
        name: 'Sunflower seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'sunflower/',
        icon: CropAssetsDefault + 'sunflower/1.png',
        economy: {
            buy: 10,
            sell: 5,
        },
        cropData: {
            timeToGrow: 5,
            season: Seasons.Summer,
            product_id: FieldProducts.Sunflower
        }
    },
    {
        id: FieldProducts.Sunflower,
        name: 'Sunflower',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'sunflower/',
        icon: CropAssetsDefault + 'sunflower/6.png',
        economy: {
            buy: 10,
            sell: 20,
        }
    },
    {
        id: Seeds.RoseSeeds,
        name: 'Roses seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'rose/',
        icon: CropAssetsDefault + 'rose/1.png',
        economy: {
            buy: 10,
            sell: 5,
        },
        cropData: {
            timeToGrow: 5,
            season: Seasons.Summer,
            product_id: FieldProducts.Rose
        }
    },
    {
        id: FieldProducts.Rose,
        name: 'Rose',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'rose/',
        icon: CropAssetsDefault + 'rose/6.png',
        economy: {
            buy: 10,
            sell: 25,
        }
    },
    {
        id: Seeds.TulipSeeds,
        name: 'Tulips seeds',
        type: ItemTypes.Seeds,
        description: '',
        assetsFolder: CropAssetsDefault + 'tulip/',
        icon: CropAssetsDefault + 'tulip/1.png',
        economy: {
            buy: 10,
            sell: 5,
        },
        cropData: {
            timeToGrow: 5,
            season: Seasons.Summer,
            product_id: FieldProducts.Tulip
        }
    },
    {
        id: FieldProducts.Tulip,
        name: 'Tulip',
        type: ItemTypes.FieldProducts,
        description: '',
        assetsFolder: CropAssetsDefault + 'tulip/',
        icon: CropAssetsDefault + 'tulip/6.png',
        economy: {
            buy: 10,
            sell: 20,
        }
    },
    {
        id: AnimalProducts.Egg,
        name: 'Egg',
        type: ItemTypes.AnimalProducts,
        description: 'Which came first?',
        assetsFolder: FoodAssets + 'egg_whole_brown.png',
        icon: FoodAssets + 'egg_whole_brown.png',
        economy: {
            buy: 100,
            sell: 50,
        }
    },
    {
        id: PreparedMeals.Sushi,
        name: 'Sushi',
        type: ItemTypes.PreparedMeals,
        description: 'Fishy business.',
        assetsFolder: FoodAssets + 'sushi_roll.png',
        icon: FoodAssets + 'sushi_roll.png',
        economy: {
            buy: 300,
            sell: 150,
        },
        cooking: {
            time: 5,
            ingredients: [
                {id: FieldProducts.Radish, amount: 2},
                {id: FieldProducts.Radish, amount: 1},
            ]
        }
    },
    {
        id: PreparedMeals.Nigiri,
        name: 'Nigiri',
        type: ItemTypes.PreparedMeals,
        description: '',
        assetsFolder: FoodAssets + 'sushi_nigiri.png',
        icon: FoodAssets + 'sushi_nigiri.png',
        economy: {
            buy: 300,
            sell: 150,
        },
        cooking: {
            time: 5,
            ingredients: [
                {id: FieldProducts.Radish, amount: 2},
                {id: FieldProducts.Radish, amount: 1},
            ]
        }
    },
    {
        id: AnimalProducts.RawFish,
        name: 'Raw fish',
        type: ItemTypes.AnimalProducts,
        description: '',
        assetsFolder: FoodAssets + 'sushi_nigiri.png',
        icon: FoodAssets + 'sushi_nigiri.png',
        economy: {
            buy: 300,
            sell: 150,
        },
        cooking: {
            time: 5,
            ingredients: [
                {id: FieldProducts.Radish, amount: 2},
                {id: FieldProducts.Radish, amount: 1},
            ]
        }
    },

]
