import {createRouter, createWebHistory} from 'vue-router'
import FieldView from '@/components/CropField'
import CropShopView from "@/components/CropShopView";
import InventoryView from "@/components/InventoryView";
import BarnView from "@/components/BarnView";

const routes = [
    {
        path: '/',
        name: 'field',
        component: FieldView,
        meta: {
            title: 'Field',
            background: '/assets/backgrounds/grass_summer.png'
        }
    },
    {
        path: '/shop',
        name: 'shop',
        component: CropShopView,
        meta: {
            title: 'Shop',
            background: '/assets/backgrounds/planks.jpg',
            backgroundSize: '20%'
        }
    },
    {
        path: '/inventory',
        name: 'inventory',
        component: InventoryView,
        meta: {
            title: 'Inventory',
            background: '/assets/backgrounds/planks.jpg',
            backgroundSize: '20%'
        }
    },
    {
        path: '/barn',
        name: 'barn',
        component: BarnView,
        meta: {
            title: 'Barn',
            background: '/assets/backgrounds/grass_summer.png'
        }
    }
]

const router = createRouter({
    history: createWebHistory(process.env.BASE_URL),
    routes
})

router.beforeEach((route) => {
    window.setBodyBackground(route.meta.background, route.meta.backgroundSize)
    document.title = route.meta.title;
})

export default router
