import Items from "@/data/Items";

export default class {
    static getItemByID(id) {
        return Items.find((item) => {
            return item.id === id;
        });
    }

    static getItemsByType(type) {
        if (Array.isArray(type)) {
            return Items.filter((item) => {
                return type.includes(item.type);
            });
        } else {
            return Items.filter((item) => {
                return item.type === type;
            });
        }
    }

    static getProductFromSeedID(id) {
        let seed = this.getItemByID(id);
        return this.getItemByID(seed.cropData.product_id);
    }
}